Bug 159794 - Burn with -dummy, but DVD ruined anyway?
Burn with -dummy, but DVD ruined anyway?
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-06-07 22:03 EDT by Jonathan Kamens
Modified: 2008-05-06 20:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-06-07 22:03:12 EDT
Attempted to test-burn a Memorex DVD+R in a Sony DW-D26A drive with "-dummy". 
Error during burn.  DVD ruined afterwards!  Isn't "-dummy" supposed to be a
read-only operation?  Transcript of cdrecord run:

jik2:/backups/tmp!1168$ sudo cdrecord -dao -v -dummy dev=ATAPI:1,0,0
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
scsidev: 'ATAPI:1,0,0'
devname: 'ATAPI'
scsibus: 1 target: 0 lun: 0
Use of ATA is preferred over ATAPI.
Warning: Using ATA Packet interface.
Warning: The related Linux kernel interface code seems to be unmaintained.
Warning: There is absolutely NO DMA, operations thus are slow.
Using libscg version 'schily-0.8'.
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   : 
Vendor_info    : 'SONY    '
Identifikation : 'DVD RW DW-D26A  '
Revision       : 'JYS3'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x001B
Profile: 0x002B 
Profile: 0x001B (current)
Profile: 0x001A 
Profile: 0x0014 
Profile: 0x0013 
Profile: 0x0011 
Profile: 0x0010 
Profile: 0x000A 
Profile: 0x0009 
Profile: 0x0008 
cdrecord: Found DVD media: using cdr_mdvd.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE 
Supported modes: PACKET SAO
Drive buf size : 1602048 = 1564 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data  4482 MB        
Total size:     5147 MB (510:01.00) = 2295075 sectors
Lout start:     5148 MB (510:03/00) = 2295075 sectors
Current Secsize: 2048
  ATIP start of lead out: 157789 (35:05/64)
Blocks total: 2295104 Blocks current: 2295104 Blocks remaining: 29
Speed set to 5540 KB/s
Starting to write CD/DVD at speed   4.0 in dummy SAO mode for single session.
Last chance to quit, starting dummy write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
BURN-Free is OFF.
BURN-Free is OFF.
Sending CUE sheet...
cdrecord: WARNING: Drive returns wrong startsec (0) using -150
Starting new track at sector: 0
Track 01:    0 of 4482 MB written.cdrecord: Input/output error. write_g1: scsi
sendcmd: no error
CDB:  2A 00 00 00 00 1F 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 04 00 00 00 00 0A 00 00 00 00 08 03 00 00 00 00
Sense Key: 0x4 Hardware Error, Segment 0
Sense Code: 0x08 Qual 0x03 (logical unit communication crc error (ultra-dma/32))
Fru 0x0

Also, any insight you might have into whether the crc error above might be real
or bogus would be appreciated.  This is a brand new computer with a brand new
DVD+R drive, so I don't know whether to trust the error above.

Comment 1 Jonathan Kamens 2005-06-07 22:16:04 EDT
Disregard my question about the crc error.... The idiots who put together my
computer used a 40-pin IDE cable for the DVD+R drive instead of an 80-pin cable.
 No wonder I was getting CRC errors!  Could that also explain why the disks were
trashed by -dummy mode?
Comment 2 Harald Hoyer 2005-06-08 05:08:50 EDT
Yes, if the drive didn't get the commands correctly, it could do stupid things.

Btw, I would use "growisofs" to burn DVDs, cause it is more reliable.

So, would you close this "NOTABUG" ??
Comment 3 Jonathan Kamens 2005-06-08 08:57:43 EDT
No, I think this is a real problem.  Other people have encountered the issue 
of DVD+R's ruined when -dummy was used.  See, e.g., 

Also, this may be related to bug 136665.
Comment 4 Bug Zapper 2008-04-03 12:12:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:11:20 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.